Get all active orders
curl --request GET \
--url https://api-partner.houdiniswap.com/v2/orders \
--header 'Authorization: <api-key>'import requests
url = "https://api-partner.houdiniswap.com/v2/orders"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-partner.houdiniswap.com/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"houdiniId": "example-houdini-id",
"created": "2026-01-01T12:00:00.000Z",
"depositAddress": "bc1qexampledepositaddress000000000000000000",
"receiverAddress": "0x9f1f9a5c0f1d9a5c0f1d9a5c0f1d9a5c0f1d9a5c",
"anonymous": false,
"expires": "2026-01-01T12:30:00.000Z",
"status": 0,
"inAmount": 0.25,
"inSymbol": "BTC",
"outAmount": 3.52,
"outSymbol": "ETH",
"displayStatus": "WAITING_FOR_DEPOSIT"
}
],
"totalPages": 1,
"total": 1
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}Orders
Get all active orders
Returns a paginated list of orders created in the last 48 hours.
GET
/
orders
Get all active orders
Authorizations
Query Parameters
Page number
Required range:
1 <= x <= 10000Page size
Required range:
1 <= x <= 100Get all orders from a multi swap
Maximum string length:
64Order status
- -2 Order is being initialized (label: INITIALIZING)
- -1 Order initialized (label: NEW)
- 0 Waiting for deposit confirmation (label: WAITING)
- 1 Deposit is being confirmed (label: CONFIRMING)
- 2 Exchange is in progress (label: EXCHANGING)
- 3 Order is going through anonymization (label: ANONYMIZING)
- 4 Order completed successfully (label: FINISHED)
- 5 Order has expired (label: EXPIRED)
- 6 Order failed (label: FAILED)
- 7 Order was refunded (label: REFUNDED)
- 8 Order was deleted (label: DELETED)
Available options:
-2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8 Created from date ISO 8601 format
Created until date ISO 8601 format
Sort by field
Available options:
created, updated, amount Sort order direction
Available options:
asc, desc Filter by order privacy: true for private (anonymous) orders, false for standard orders
Filter by input token id — the inToken.id value returned in the order response
Pattern:
^[a-fA-F0-9]{24}$Filter by output token id — the outToken.id value returned in the order response
Pattern:
^[a-fA-F0-9]{24}$